Skip to content

The next scheduled campaign with its Send Readiness, route split and estimates

GET
/api/v1/workspaces/{workspace}/overview/next-campaign
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/overview/next-campaign \
--header 'Authorization: Bearer <token>'

Permission: campaigns:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

OK

Media typeapplication/json
object
campaign
object
cost
required
number format: double
durationMinutes
number format: double
id
required
string
name
required
string
readiness
object
issues
required
Array<object>
object
status
required
string
Allowed values: warn block
title
required
string
ranAt
required
string format: date-time
verdict
required
string
Allowed values: ready warnings blocked
recipients
required
integer format: int64
routes
required
Array<object>
object
adapter
required
string
color
required
string
Allowed values: ses postal postmark other
percent
required
number format: double
planned
required
integer format: int64
short
required
string
scheduledAt
required
string format: date-time
timezone
required
string
drafts
required
integer format: int64
issue
object
digestId
required
string
digestName
required
string
needsApproval
required
boolean
number
required
integer format: int64
posts
required
integer format: int64
sendAt
required
string format: date-time
status
required
string
Allowed values: collecting preparing prepared waiting held draft
timezone
required
string

Example

{
"campaign": {
"readiness": {
"issues": [
{
"status": "warn"
}
],
"verdict": "ready"
},
"routes": [
{
"color": "ses"
}
]
},
"issue": {
"status": "collecting"
}
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}